addControlData2lumi {lumi} | R Documentation

## Add the control probe data into the controlData slot of LumiBatch object

### Description

Add the control probe profile data, outputted by BeadStudio, into the controlData slot of LumiBatch object.

### Usage

    addControlData2lumi(controlData, x.lumi)

### Arguments

`controlData` | the control data can be a data.frame or the control probe filename outputted by BeadStudio
`x.lumi` | a LumiBatch object, to which controlData will be added.

### Details

The controlData slot in LumiBatch object is a data.frame with first two columns as "controlType" and "ProbeID". The rest columns are the expression amplitudes for individual samples.

### Value

Return the LumiBatch object with controlData slot filled.

### Author(s)

Pan Du

### See Also

`getControlData`, `plotControlData`

### Examples

            ## Not runnable
            # controlFile <- 'Control_Probe_Profile.txt'
            # x.lumi <- addControlData2lumi(controlFile, x.lumi)

[Package lumi version 1.10.2 Index]